----------------------------------------------------------------------------------
-- Company: 
-- Engineer: D.Vasilopoulos
-- 
-- Create Date: 10/19/2020 04:33:02 PM
-- Design Name: 
-- Module Name: buzzer - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments: Lesson_2
-- 
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity buzzer_entity is
Port ( 
above_30: in std_logic;      --1 when temperature above 30, 0 otherwise
above_25: in std_logic;      --1 when temperature above 25, 0 otherwise
low_level: in std_logic;     --1 when tank level low,   0 otherwise
buzzer: out std_logic        --1 when buzzer rings, 0 when otherwise
);
end entity buzzer_entity;

architecture beh_buzzer of buzzer_entity is

begin

buzzer <= low_level or (above_30 or not above_25);

end architecture beh_buzzer;
